BizKitHub
DocsAPI ReferenceBank Statement/bff/bank-statement/file
getBank StatementAdmin BFF

/bff/bank-statement/file

Streams the stored PDF as an attachment. Requires the bank-transaction module permission.

Bank statementgetBffBank-statementFile

Parameters

1 query

Query parameters

· 1
tokenstringRequired

Blob token of the statement (externalId from the list).

Exampleexample_token

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

GET /bff/bank-statement/file

get
curl -X GET "https://api.bizkithub.com/bff/bank-statement/file?token=example_token" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key